Replace Certificate

Replace Certificate
Replace the certificate of the given appliance

Replace the certificate of the given appliance

Request
URI
PUT
https://{api_host}/suite-api/api/fleet-management/certificate-management/certificates/{certificateId}
COPY
Path Parameters
string
certificateId
Required  

A key/Id of the certificate which needs to be replaced


Request Body

Replace certificates Request Body

CertificateReplaceData of type(s) application/json
Required  

Show optional properties

{
    "caType": "string"
}
"{\n  \"caType\" : \"EXTERNAL_CA\",\n  \"certificateChain\" : \"-----BEGIN CERTIFICATE -----pemencoded-server-cert-----END CERTIFICATE -----\\n-----BEGIN CERTIFICATE -----pemencoded-root-ca-cert-----END CERTIFICATE -----\"\n}"
string
caType
Required  

Certificate signing CA type (e.g., VMCA, OPENSSL_CA, MSCA, EXTERNAL_CA, SELF_SIGNED_CA)

Enumeration: VMCA, OPENSSL_CA, MSCA, EXTERNAL_CA, SELF_SIGNED_CA, UNKNOWN
string
certificateChain
Optional

Full Certificate chain

Authentication
This operation uses the following authentication methods.
Responses
202

The certificate replacement workflow details

Returns WorkflowRequest of type(s) application/json
"{\n  \"requestId\" : \"4881a542-e10c-4033-b161-41622324db01\",\n  \"requestName\" : \"ucmreplacecertificateworkflow\",\n  \"requestReason\" : \"Certificate replace operation from API\",\n  \"requestType\" : \"Replace Certificate\",\n  \"state\" : \"INPROGRESS\",\n  \"errorCause\" : [ ],\n  \"duration\" : 95,\n  \"category\" : \"VCF_CERTIFICATE_MANAGEMENT\"\n}"
string
category
Required  

Categories for VCF workflow requests

Enumeration: INVENTORY, PASSWORD, CERTIFICATE, LCM_MIGRATION, VCF_PASSWORD_MANAGEMENT, VCF_CERTIFICATE_MANAGEMENT, SERVICE_REGISTRY_ROTATION, SOLUTIONS_CATALOG, SALT_RAAS_CONFIGURATION, VIDB_MIGRATION, VCF_IAM, FLEET_SETTINGS
integer As int64 As int64
duration
Optional

Duration of the request

array of object
errorCause
Optional

List of errors encountered during workflow execution

string
requestId
Optional

Unique identifier of the request

string
requestName
Required  
Constraints: minLength: 1

Name of the workflow request

string
requestReason
Optional

Reason for the workflow request

string
requestType
Required  
Constraints: minLength: 1

Type of the workflow request (e.g., CREATE_ENVIRONMENT, VC_DATA_COLLECTION)

string
state
Optional

Current state of the workflow request (e.g., CREATED, IN_PROGRESS, COMPLETED, FAILED)


400

Invalid certificate chain, or the leaf certificate does not match any CSR stored in the locker

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"caType":"string"}' https://{api_host}/suite-api/api/fleet-management/certificate-management/certificates/{certificateId}